<?php

namespace Database\Seeders;

use App\Models\Settings;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SettingsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        DB::table('settings')->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

        Settings::create([
            'app_name' => 'Field Manager',
            'app_version' => '1.0.0',
            'country' => 'USA',
            'phone_country_code' => '+1',
            'timezone' => 'America/New_York',
            'currency' => 'USD',
            'currency_symbol' => '$',
            'distance_unit' => 'km',
            'offline_check_time_type' => 'minutes',
            'offline_check_time' => 15,
            'm_app_version' => '1.0.0',
            'm_location_update_time_type' => 'minutes',
            'm_location_update_interval' => 15,
            'privacy_policy_url' => 'https://czappstudio.com/privacy-policy/',
            'map_provider' => 'google',
            'map_zoom_level' => 3,
            'center_latitude' => 18.418983770139405,
            'center_longitude' => 49.67194361588897,
            'created_by_id' => 1,
            'updated_by_id' => 1,
        ]);
    }
}
