@php
    $title = 'Create Employee';
    $settings = \App\Models\Settings::first();
@endphp
@section('title')
    {{$title}}
@endsection
@extends('layout')
@section('main-content')
    <div class="row mb-3">
        <div class="col">
            <div class="float-start">
                <h4 class="mt-2">{{$title}}</h4>
            </div>
        </div>
        <div class="col">

        </div>
    </div>
    <form action="{{route('employee.store')}}" method="post">
        @csrf
        <div class="card shadow">

            {{json_encode($errors->all())}}
            <div class="card-body">
                <div class="card card-primary mt-2">
                    <div class="card-header">
                        <div class="row justify-content-between">
                            <div class="col">
                                <h6> Login Details</h6>
                            </div>
                            <div class="col align-self-center align-items-end">
                                <div class="form-check form-switch">
                                    <label for="useDefaultPassword" class="control-label">Use Default Password (Password : 123456)</label>
                                    <input id="useDefaultPassword" name="useDefaultPassword" class="form-check-input"
                                           type="checkbox" checked/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="form-group col-md-4">
                                <label for="userName" class="control-label">User Name</label>
                                <input id="userName" name="userName" class="form-control" value="{{old('userName')}}"/>
                                <span class="text-danger">{{ $errors->first('userName', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-4" id="passwordDiv" >
                                <label for="password" class="control-label">Password</label>
                                <input id="password" name="password" class="form-control" />
                                <span class="text-danger">{{ $errors->first('password', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-4" id="passwordDiv1">
                                <label for="confirmPassword" class="control-label">Confirm Password</label>
                                <input id="confirmPassword" name="confirmPassword" class="form-control" />
                                <span class="text-danger">{{ $errors->first('confirmPassword', ':message') }}</span>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="form-group col-md-6">
                                <label for="phoneNumber" class="control-label">Phone Number</label>
                                <input id="phoneNumber" name="phoneNumber" type="number" class="form-control" value="{{old('phoneNumber')}}"/>
                                <span class="text-danger">{{ $errors->first('phoneNumber', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="email" class="control-label">Email</label>
                                <input id="email" name="email" type="email" class="form-control" value="{{old('email')}}" />
                                <span class="text-danger">{{ $errors->first('email', ':message') }}</span>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card card-primary mt-2">
                    <div class="card-header">
                        <h6> Personal Details</h6>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="form-group col-md-3 mb-3">
                                <label for="firstName" class="control-label">First Name</label>
                                <input id="firstName" name="firstName" class="form-control" value="{{old('firstName')}}"/>
                                <span class="text-danger">{{ $errors->first('firstName', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="lastName" class="control-label">Last Name</label>
                                <input id="lastName" name="lastName" class="form-control" value="{{old('lastName')}}"/>
                                <span class="text-danger">{{ $errors->first('lastName', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="gender" class="control-label">Gender</label>
                                <select id="gender" name="gender" class="form-select mb-3">
                                    <option value="male">Male</option>
                                    <option value="female">Female</option>
                                    <option value="unknown">Unknown</option>
                                </select>
                                <span class="text-danger">{{ $errors->first('gender', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="dob" class="control-label">Date of birth</label>
                                <input id="dob" name="dob" type="date" class="form-control" value="{{old('dob')}}"/>
                                <span class="text-danger">{{ $errors->first('dob', ':message') }}</span>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-3 mb-3">
                                <label for="uniqueId" class="control-label">Unique Id</label>
                                <input id="uniqueId" name="uniqueId" class="form-control" value="{{old('uniqueId')}}"/>
                                <span class="text-danger">{{ $errors->first('uniqueId', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="alternateNumber" class="control-label">Alternate Number</label>
                                <input id="alternateNumber" name="alternateNumber" type="number" class="form-control" value="{{old('alternateNumber')}}"/>
                                <span class="text-danger">{{ $errors->first('alternateNumber', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-6 mb-3">
                                <label for="address" class="control-label">Address</label>
                                <input id="address" name="address" class="form-control" value="{{old('address')}}"/>
                                <span class="text-danger">{{ $errors->first('address', ':message') }}</span>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="card card-primary mt-2">
                    <div class="card-header">
                        <h6> Work Details</h6>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="form-group col-md-3 mb-3">
                                <label id="parentId" class="control-label">Manager</label>
                                <select id="parentId" name="parentId" data-choices="data-choices"
                                        data-options='{"removeItemButton":true,"placeholder":true}'
                                        class="form-select mb-3">
                                    <option value="">Please select a manager</option>
                                    @foreach($managers as $manager)
                                        <option
                                            value="{{$manager->id}}">{{$manager->first_name.' '.$manager->last_name}}</option>
                                    @endforeach
                                </select>
                                <span class="text-danger">{{ $errors->first('parentId', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label id="shiftId" class="control-label">Shift</label>
                                <select id="shiftId" name="shiftId" data-choices="data-choices"
                                        data-options='{"removeItemButton":true,"placeholder":true}'
                                        class="form-select mb-3">
                                    <option value="">Please select a shift</option>
                                    @foreach($shifts as $shift)
                                        <option value="{{$shift->id}}">{{$shift->title}}</option>
                                    @endforeach
                                </select>
                                <span class="text-danger">{{ $errors->first('shiftId', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="teamId" class="control-label">Team</label>
                                <select id="teamId" name="teamId" data-choices="data-choices"
                                        data-options='{"removeItemButton":true,"placeholder":true}'
                                        class="form-select mb-3">
                                    <option value="">Please select a team</option>
                                    @foreach($teams as $team)
                                        <option value="{{$team->id}}">{{$team->name}}</option>
                                    @endforeach
                                </select>
                                <span class="text-danger">{{ $errors->first('teamId', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="dateOfJoin" class="control-label">Date Of Join</label>
                                <input id="dateOfJoin" name="dateOfJoin" type="date" class="form-control" value="{{old('dateOfJoin')}}"/>
                                <span class="text-danger">{{ $errors->first('dateOfJoin', ':message') }}</span>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-3 mb-3">
                                <label for="designation" class="control-label">Designation</label>
                                <input id="designation" name="designation" class="form-control" value="{{old('designation')}}"/>
                                <span class="text-danger">{{ $errors->first('designation', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="baseSalary" class="control-label">Base Salary</label>
                                <input id="baseSalary" name="baseSalary" type="number" class="form-control" value="{{old('baseSalary')}}"/>
                                <span class="text-danger">{{ $errors->first('baseSalary', ':message') }}</span>

                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="primarySalesTarget" class="control-label">Primary Sales Target</label>
                                <input id="primarySalesTarget" name="primarySalesTarget" type="number"
                                       class="form-control" value="{{old('primarySalesTarget')}}"/>
                                <span class="text-danger">{{ $errors->first('primarySalesTarget', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="secondarySalesTarget" class="control-label">Secondary Sales Target</label>
                                <input id="secondarySalesTarget" name="secondarySalesTarget" type="number"
                                       class="form-control" value="{{old('secondarySalesTarget')}}"/>
                                <span
                                    class="text-danger">{{ $errors->first('secondarySalesTarget', ':message') }}</span>
                            </div>
                            <div class="form-group col-md-3 mb-3">
                                <label for="availableLeaveCount" class="control-label">Available Leave Count</label>
                                <input id="availableLeaveCount" name="availableLeaveCount" type="number"
                                       class="form-control" value="{{old('availableLeaveCount')}}"/>
                                <span class="text-danger">{{ $errors->first('availableLeaveCount', ':message') }}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Create</button>
                </div>
            </div>
        </div>

    </form>
@endsection

@section('scripts')
    <script>
        $(document).ready(function () {
            $('#useDefaultPassword').change(function () {
                if ($(this).is(':checked')) {
                    $('#passwordDiv').fadeOut();
                    $('#passwordDiv1').fadeOut();
                } else {
                    $('#passwordDiv').fadeIn();
                    $('#passwordDiv1').fadeIn();
                }
            });
        });
    </script>
@endsection
